Subject: AW: [PATCH 9/9] net: mdio: realtek-rtl9300: Link I/O functions in info structure

From: "Markus Stockhausen" <[email-masked]>
Date: Tue, 19 May 2026 21:25:30 +0200

> Von: Andrew Lunn <[email-masked]> 
> Gesendet: Dienstag, 19. Mai 2026 20:46
> An: Markus Stockhausen <[email-masked]>
> Betreff: Re: [PATCH 9/9] net: mdio: realtek-rtl9300: Link I/O functions in
info structure
>
> On Tue, May 19, 2026 at 06:57:47PM +0200, Markus Stockhausen wrote:
> > All SOCs have slightly different I/O functions. Make them device
> > specific by adding the functions into the info structure.
>
> If they are all different, why put all the registers into info?  Is
> there some level of sharing?

Patch 5 tries to explain the sharing concept:

- A generic access function will always run the same way
- The info structure tells it where to write (registers)
- The indidivual access function tells it what to write (data) 

Markus